summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-07-23 08:13:39 +0200
committerMichał Górny <mgorny@gentoo.org>2020-07-23 12:00:23 +0200
commitfcfb5105a54ffe159d6d3b5efa90996e46bcdd3a (patch)
tree139ae821927be4fe4f680d583c1287639ce76e25 /dev-python/urllib3
parentdev-python/paste: Bump to 3.4.3 (diff)
downloadgentoo-fcfb5105a54ffe159d6d3b5efa90996e46bcdd3a.tar.gz
gentoo-fcfb5105a54ffe159d6d3b5efa90996e46bcdd3a.tar.bz2
gentoo-fcfb5105a54ffe159d6d3b5efa90996e46bcdd3a.zip
dev-python/urllib3: Bump to 1.25.10
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/urllib3')
-rw-r--r--dev-python/urllib3/Manifest1
-rw-r--r--dev-python/urllib3/urllib3-1.25.10.ebuild76
2 files changed, 77 insertions, 0 deletions
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index 25263bd6f15..25be50a450e 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -1,3 +1,4 @@
DIST urllib3-1.24.2.tar.gz 230699 BLAKE2B 9c2f2be8fa743f542493d75072c02423d1bd40189561fa0ea393a8a2515b24da9a2a383aeec35b55bdd2a9954d3d585450d759548358ed91ecfdb9ec03d391b6 SHA512 9939e9e7c4da30b5effb334969cd835c9d0404a136761098203c699570aab02e63fb3f1b4ab680def0bc0906fabe5f0782ab94cf3095ff10ccf9b3c371653cf2
+DIST urllib3-1.25.10.tar.gz 256875 BLAKE2B 3f2ad2cb3ac9a09f73c1ec03e89aa7313055afa443c53ec82fd9227348859566e20ca33b803972134be24eeed070c63b98e6ae75efde4006e2a4bb7b4cf3f054 SHA512 5718dab472a476bfd555753758ceef46c81dc358131205b6db05d186a66f397dc07252eda1622d12586390ccf14e8e17acdb9486c17cb7d34e323287a67373af
DIST urllib3-1.25.8.tar.gz 261077 BLAKE2B 9625c8bce484e3a0ae8b49a776377d5420a496652d75220438f8f9cfbfa96c22a6fbea29380f45f18d8620d14568056dcb3e8b6a08fe711085298d2f6b2ea870 SHA512 6e380d98d9a8b06534abfab4eb67b685a8311a091e31adcefe2b0ffc61d2b728229df067790b20358f2646e9054a546450c3351e4aa618f31d85573ea50ceaa2
DIST urllib3-1.25.9.tar.gz 254921 BLAKE2B bd78d7a1de71ffe3b1f62352bb49f94fd402870f57e86ae07ea5462706c19b0ae1f8e23a7e8a4a83482b57e007cb95f5ae242d179cec7e9568fcb440b9d95b82 SHA512 505f1d9137e469a48ee0de417f2be36946cf1d9bbcf1233280be399a6c6d8650b5b3c6cfcf884b04e0156974da703f48843381b9aab377738a2e60f7d2d3799b
diff --git a/dev-python/urllib3/urllib3-1.25.10.ebuild b/dev-python/urllib3/urllib3-1.25.10.ebuild
new file mode 100644
index 00000000000..e724f3938f7
--- /dev/null
+++ b/dev-python/urllib3/urllib3-1.25.10.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="https://github.com/urllib3/urllib3"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="brotli test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/PySocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/PySocks-2.0[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-1.3.4[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.14[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/ipaddress[${PYTHON_USEDEP}]
+ ' -2)
+ brotli? ( dev-python/brotlipy[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlipy[\${PYTHON_USEDEP}]
+ dev-python/mock[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ >=www-servers/tornado-4.2.1[\${PYTHON_USEDEP}]
+ " python3_{6,7,8,9})
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/alabaster \
+ dev-python/mock
+
+python_prepare_all() {
+ # https://github.com/urllib3/urllib3/issues/1756
+ sed -e 's:10.255.255.1:240.0.0.0:' \
+ -i test/__init__.py || die
+ # tests failing if 'localhost.' cannot be resolved
+ sed -e 's:test_dotted_fqdn:_&:' \
+ -i test/with_dummyserver/test_https.py || die
+ sed -e 's:test_request_host_header_ignores_fqdn_dot:_&:' \
+ -i test/with_dummyserver/test_socketlevel.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x CI=1
+ # FIXME: get tornado ported
+ case ${EPYTHON} in
+ python2*)
+ ewarn "Tests are being skipped for Python 2 in order to reduce the number"
+ ewarn "of circular dependencies for Python 2 removal. Please test"
+ ewarn "manually in a virtualenv."
+ ;;
+ python3*)
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+ ;;
+ esac
+}